# NonNull

class NonNull < T > : NonNullState < T >

The non-nullable state of Hikage.

## Properties

value
Link copied to clipboard
open override var value : T

The current value of the state.

## Functions

getValue
Link copied to clipboard
open operator override fun getValue (thisRef: Any ?, property: KProperty <*>): T
observe
Link copied to clipboard
open override fun observe (observer: ( T ) -> Unit )

Observe the state changes.

setValue
Link copied to clipboard
open operator override fun setValue (thisRef: Any ?, property: KProperty <*>, value: T )